export const navLinks = [
  {
    id: 1,
    name: 'Home',
    href: '#home',
  },
  {
    id: 2,
    name: 'About',
    href: '#about',
  },
  {
    id: 3,
    name: 'Work',
    href: '#work',
  },
  {
    id: 4,
    name: 'Contact',
    href: '#contact',
  },
];

export const clientReviews = [
  {
    id: 1,
    name: 'Cybermano',
    position: 'Lead Developer for the "Aftermath: The Cold War" mod.',
    img: 'assets/cybermano.png',
    review:
      'Overall, I must say that Colin was an amazing person who was a very helpful and kind person (for many years). He has accepted my plea for help many times before and has made work that even surprised me. He is very helpful and overall I can say I can recommended his work! Undeniably he is the best person and coder I have seen in a lifetime!',
  }
];

export const myProjects = [
  {
    title: 'Aftermath - Discord Bot',
    desc: 'Aftermath is a Discord Bot built with functionality in mind. It revolutionizes the way players interact with the support server for the mod they love! Built with scalability in mind, it grows as the users grow.',
    subdesc:
      'Built as a unique purpose built bot with Python, Pymongo, and Sentry, Aftermath is designed for optimal performance and scalability.',
    href: 'https://git.fstropii.com/tropii/aftermath',
    texture: '/textures/project/aftermath.mp4',
    logo: '/assets/project1-logo.png',
    logoStyle: {
      backgroundColor: '#2A1816',
      border: '0.2px solid #36201D',
      boxShadow: '0px 0px 60px 0px #AA3C304D',
    },
    spotlight: '/assets/spotlight1.png',
    tags: [
      {
        id: 1,
        name: 'Python',
        path: '/assets/python.svg',
      },
      {
        id: 2,
        name: 'Pymongo',
        path: 'assets/pymongo.svg',
      },
      {
        id: 3,
        name: 'Sentry',
        path: '/assets/sentry.svg',
      },
    ],
  },
  {
    title: 'Blob - Discord Bot',
    desc: 'Blob is a powerful discord bot app that elevates the capabilities of users. As a swiss army knife of Discord Bots, Blob allows users to start and complete any task they want to in seconds.',
    subdesc:
      'With Blob, users can experience the future of moderation, where moderators can work together in making sure communities stay safe. Written using Python and Sentry.',
    href: 'https://git.fstropii.com/tropii/blob',
    texture: '/textures/project/blob.mp4',
    logo: '/assets/blob-logo.png',
    logoStyle: {
      backgroundColor: '#13202F',
      border: '0.2px solid #17293E',
      boxShadow: '0px 0px 60px 0px #2F6DB54D',
    },
    spotlight: '/assets/spotlight2.png',
    tags: [
      {
        id: 1,
        name: 'Python',
        path: '/assets/python.svg',
      },
      {
        id: 2,
        name: 'Pymongo',
        path: 'assets/pymongo.svg',
      },
      {
        id: 3,
        name: 'Sentry',
        path: '/assets/sentry.svg',
      },
      {
        id: 4,
        name: 'Discord.PY',
        path: '/assets/discord-py.svg',
      },
    ],
  },
  {
    title: 'Horizon - Online Banking Platform',
    desc: 'Horizon is a comprehensive online banking platform that offers users a centralized finance management dashboard. It allows users to connect multiple bank accounts, monitor real-time transactions, and seamlessly transfer money to other users.',
    subdesc:
      'Built with Next.js 14 Appwrite, Dwolla and Plaid, Horizon ensures a smooth and secure banking experience, tailored to meet the needs of modern consumers.',
    href: 'https://bank.fstropii.com',
    texture: '/textures/project/project4.mp4',
    logo: '/assets/project-logo4.png',
    logoStyle: {
      backgroundColor: '#0E1F38',
      border: '0.2px solid #0E2D58',
      boxShadow: '0px 0px 60px 0px #2F67B64D',
    },
    spotlight: '/assets/spotlight4.png',
    tags: [
      {
        id: 1,
        name: 'React.js',
        path: '/assets/react.svg',
      },
      {
        id: 2,
        name: 'TailwindCSS',
        path: 'assets/tailwindcss.png',
      },
      {
        id: 3,
        name: 'TypeScript',
        path: '/assets/typescript.png',
      },
      {
        id: 4,
        name: 'Framer Motion',
        path: '/assets/framer.png',
      },
    ],
  },
];

export const calculateSizes = (isSmall, isMobile, isTablet) => {
  return {
    deskScale: isSmall ? 0.05 : isMobile ? 0.06 : 0.065,
    deskPosition: isMobile ? [0.5, -4.5, 0] : [0.25, -5.5, 0],
    cubePosition: isSmall ? [4, -5, 0] : isMobile ? [5, -5, 0] : isTablet ? [5, -5, 0] : [9, -5.5, 0],
    reactLogoPosition: isSmall ? [3, 4, 0] : isMobile ? [5, 4, 0] : isTablet ? [5, 4, 0] : [12, 3, 0],
    ringPosition: isSmall ? [-5, 7, 0] : isMobile ? [-10, 10, 0] : isTablet ? [-12, 10, 0] : [-24, 10, 0],
    targetPosition: isSmall ? [-5, -10, -10] : isMobile ? [-9, -10, -10] : isTablet ? [-11, -7, -10] : [-13, -13, -10],
  };
};

export const workExperiences = [
  {
    id: 1,
    name: 'Freelance',
    pos: 'Back-End Developer',
    duration: '2020 - Present',
    title: "Currently, my focus is on learning and exploring many different projects. Maximizing my time and productivity to give me the best shot at success!",
    icon: '/assets/freelance.svg',
    animation: 'victory',
  },
];